Skip to main content
PATCH
UpdateIncidentState

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

incident_id
string<uuid>
required

Body

application/json
actor
Actor · object
required

Actor updating the incident state

at
string<date-time>
required

Time at which the incident state was updated. Defaults to the current time. timestamp.gt = 2022-01-01T00:00:00Z timestamp.gt_lt = 2022-01-01T00:00:00Z timestamp.gt_lt_exclusive = 2022-01-01T00:00:00Z timestamp.gt_lte = 2022-01-01T00:00:00Z timestamp.gt_lte_exclusive = 2022-01-01T00:00:00Z timestamp.lt_now = true

Examples:

"2023-01-15T01:30:15.01Z"

"2024-12-25T12:00:00Z"

state
enum<string>
required

New state for the incident

Available options:
STATE_UNSPECIFIED,
STATE_OPEN,
STATE_CLOSED,
STATE_CANCELLED

Response

200 - application/json

Success

incident
Incident · object